summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-21 23:45:38 -0400
committer Chess Griffin <chess@chessgriffin.com>2010-05-23 23:10:22 -0500
commitbff1d0ce570cbbac28618ac491bcdf4323c517de (patch)
tree7f0a99d1ff601835cadff65041ed321b7e154183 /system
parentbd0382d8dc8c6763ffe74245d6bce2ff868a8c43 (diff)
downloadslackbuilds-bff1d0ce570cbbac28618ac491bcdf4323c517de.tar.gz
slackbuilds-bff1d0ce570cbbac28618ac491bcdf4323c517de.tar.xz
Revert "system/conky: Removed (build failure)"
This reverts commit 4e8bfcc04205d55df1e283e93243a163d7a288f2. Fix SlackBuild so conky builds on -current by removing the --enable-audacious=yes configure option; miscellaneous script cleanups.
Diffstat (limited to 'system')
-rw-r--r--system/conky/README18
-rw-r--r--system/conky/conky.SlackBuild99
-rw-r--r--system/conky/conky.info10
-rw-r--r--system/conky/doinst.sh14
-rw-r--r--system/conky/slack-desc19
5 files changed, 160 insertions, 0 deletions
diff --git a/system/conky/README b/system/conky/README
new file mode 100644
index 0000000000..ad038cf7d5
--- /dev/null
+++ b/system/conky/README
@@ -0,0 +1,18 @@
+conky - A light-weight system monitor for X
+
+Conky is a system monitor for X originally based on the torsmo code.
+Since it's original conception, Conky has changed a fair bit from
+it's predecessor. Conky can display just about anything, either on
+your root desktop or in it's own window. Conky has many built-in
+objects, as well as the ability to execute programs and scripts, then
+display the output from stdout.
+
+For lua scripting engine support the required dependencies are:
+lua, imlib2 and tolua++
+
+All of the above requirements are available from slackbuilds.org
+
+To disable lua support run the build with
+LUA=NO ./conky.SlackBuild
+
+
diff --git a/system/conky/conky.SlackBuild b/system/conky/conky.SlackBuild
new file mode 100644
index 0000000000..1de7b4a8ec
--- /dev/null
+++ b/system/conky/conky.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for conky
+
+# Written by M.Dinslage contact: daedra1980@gmail.com
+
+PRGNAM=conky
+VERSION=1.8.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LBIDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LBIDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LBIDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+if [ "${LUA:-yes}" = "yes" ]; then
+ lua="--enable-lua --enable-lua-cairo --enable-imlib2 --enable-lua-imlib2"
+else
+ lua="--disable-lua"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LBIDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --enable-shared=yes \
+ --enable-static=no \
+ --enable-weather-xoap \
+ --enable-mpd=yes \
+ --enable-rss=yes \
+ --enable-wlan=yes \
+ $lua \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ;
+ rm $i ; done
+
+# Move existing config file
+mv $PKG/etc/conky/conky.conf $PKG/etc/conky/conky.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ doc/*.html extras/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/conky/conky.info b/system/conky/conky.info
new file mode 100644
index 0000000000..7ad2c3822c
--- /dev/null
+++ b/system/conky/conky.info
@@ -0,0 +1,10 @@
+PRGNAM="conky"
+VERSION="1.8.0"
+HOMEPAGE="http://conky.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/conky/conky-1.8.0.tar.bz2"
+MD5SUM="494cbaf1108cfdb977fc80454d9b13e2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980@gmail.com"
+APPROVED="dsomero"
diff --git a/system/conky/doinst.sh b/system/conky/doinst.sh
new file mode 100644
index 0000000000..78304645d3
--- /dev/null
+++ b/system/conky/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD|md5sum)" = "$(cat $NEW|md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/conky/conky.conf.new
diff --git a/system/conky/slack-desc b/system/conky/slack-desc
new file mode 100644
index 0000000000..6013fb9cd0
--- /dev/null
+++ b/system/conky/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+conky: conky (light-weight system monitor for X)
+conky:
+conky: Conky is a system monitor for X originally based on the torsmo code.
+conky: Since it's original conception, Conky has changed a fair bit from
+conky: it's predecessor. Conky can display just about anything, either on
+conky: your root desktop or in it's own window. Conky has many built-in
+conky: objects, as well as the ability to execute programs and scripts, then
+conky: display the output from stdout.
+conky:
+conky: Homepage: http://conky.sourceforge.net
+conky: